Page MenuHomePhabricator

Enable Huggle for hr.wiki, bs.wiki, sr.wiki and sh.wiki
Closed, ResolvedPublic

Description

Enable Huggle on Croatian Wikipedia (hr.wiki), Bosnian Wikipedia (bs.wiki), Serbian Wikipedia (sr.wiki) and Serbo-Croatian Wikipedia (sh.wiki)

hr.wiki, bs.wiki, sr.wiki and sh.wiki

  • Insert to meta at m:Meta:Huggle/List

hr.wiki

  • Initial configuration
  • Create whitelist
  • Translate Project:Huggle
  • Translate Project:Huggle/Message
  • Translate warn-N templates

bs.wiki

  • Initial configuration
  • Create whitelist
  • Translate Project:Huggle
  • Translate Project:Huggle/Message
  • Translate warn-N templates

sr.wiki

  • Initial configuration
  • Create whitelist
  • Translate Project:Huggle
  • Translate Project:Huggle/Message
  • Translate warn-N templates

sh.wiki

  • Initial configuration
  • Create whitelist
  • Translate Project:Huggle
  • Translate Project:Huggle/Message
  • Translate warn-N templates

Event Timeline

Ivi104 created this task.Feb 21 2017, 8:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2017, 8:24 PM

Are there any requests on wiki, that you could link to?

No. I've been using Huggle for a while now, and it's very useful! However, I wish I could use it on my native wiki, and other wikis with similar languages (listed above). I didn't realise there needed to be a request: the instructions on [[w:en:WP:HUGGLE]] mention only a Phab ticket. If you need it, I could start a discussion, but it seems impractical to involve the whole community in localising a tool which will be used only by those who wish to use it.

Petrb added a subscriber: Petrb.Mar 23 2017, 8:30 PM

Well, it would be nice if local community was at least a bit aware, you can start by creating Project:Huggle pages on each of that wiki

Se4598 renamed this task from Huggle for Wikis to Enable Huggle for hr.wiki, bs.wiki, sr.wiki and sh.wiki.Mar 23 2017, 8:54 PM
Petrb moved this task from Backlog to Need volunteer on the Huggle board.Mar 23 2017, 9:07 PM

Hello @Ivi104, is it done ? If yes, I would try to claim this task.

Framawiki claimed this task.EditedMar 25 2017, 8:57 PM

Let's go

Framawiki updated the task description. (Show Details)Mar 25 2017, 9:04 PM
Petrb updated the task description. (Show Details)Mar 26 2017, 2:53 PM
Ivi104 updated the task description. (Show Details)Mar 26 2017, 5:04 PM
Framawiki updated the task description. (Show Details)Mar 26 2017, 6:17 PM

It's look like HG doesn't use namespace Wikipedia or local for config/message, but everything else looks work.

Ready to translate and use !

Ivi104 updated the task description. (Show Details)Mar 26 2017, 8:20 PM

I could use some help with Config file: what do the following parameters do?
keep-section:true
warning-im:true
warning-mode:4
warning-month-headings:true
warning-series:warning,bio

Also, most templates on hr.wiki have 3 levels (see https://hr.wikipedia.org/wiki/Wikipedija:Wikiprojekt_predlo%C5%A1ci/Predlo%C5%A1ci_za_komunikaciju_sa_suradnicima ), is there a way to set that up in the program?
Thanks!

Ivi104 updated the task description. (Show Details)Mar 26 2017, 10:15 PM

Hello, good job @Ivi104 ! As you set in the config :

warning1:{{subst:NS-vandalizam1|1=$1|2=--~~~~}}
warning2:{{subst:NS-vandalizam2|1=$1|2=--~~~~}}
warning3:{{subst:NS-vandalizam3|1=$1|2=--~~~~}}

spam1:{{subst:NS-spam1|1=$1|2=--~~~~}}
spam2:{{subst:NS-vp1|1=$1|2=--~~~~}}
spam3:{{subst:NS-vp2|1=$1|2=--~~~~}}

Please create
https://hr.wikipedia.org/w/index.php?title=Predlo%C5%BEak:NS-vandalizam3

Be careful with bad text like <nowiki> in Config page

I've made few modifications

I ping @Petrb for config explanation :)

Ivi104 added a comment.EditedMar 28 2017, 8:59 AM

Thanks! I added some more templates (see https://hr.wikipedia.org/w/index.php?title=Wikipedija%3AHuggle%2FConfig&action=historysubmit&type=revision&diff=4874775&oldid=4874541 ), and, having tested them, I determined they work fine. Please check the code to make sure I haven't broken anything 😃

Could you help me with one other thing: requesting speedy deletion? Hr.wiki uses Template:Bris to indicate articles for deletion. Usage: {{bris|reason}}. However, for common reasons one can write a number 1-5 instead of a reason and it will be replaced by the appropriate reason, as follows:
{{Bris|kratko}} = {{Bris|1}} ->Prekratak članak/Article too short
{{Bris|nespada}} = {{Bris|2}} -> Ne spada u Wikipediju/Doesn't belong to Wiki
{{Bris|grafit}} = {{Bris|3}} ->Grafit/Graffiti
{{Bris|test}} = {{Bris|4}} -> Testiranje/Testing
{{Bris|napadi}} = {{Bris|5}} -> Napadačko ponašanje/Offensive behaviour
Could you show me how to add this to the program? For testing purposes, feel free to use https://hr.wikipedia.org/wiki/Suradnik:Ivi104/test1
Thanks a lot!

Ivi104 updated the task description. (Show Details)Mar 30 2017, 9:14 AM

Hello.

All params that start with prod concern AfD process. I recommand you ton disable it (param prod:false), this is too complicate to use elsewhere than enWP. Hr's config is ok with this.

The param that concern templates for deletion have prefix speedy (speedy deletion).

I've edited the page. Feel free to add your wiki's templates like the line

kratko;Prekratak članak;Bris|kratko;{{subst:huggle/db-notice|1=$1|2=Prekratak članak}};notify,

kratko=>the short name
Prekratak članak=>the long name
Bris|kratko=>the template, will be added as {{Bris|kratko}}
{{subst:huggle/db-notice|1=$1|2=Prekratak članak}}=>a message to the user like others warn, simply remove this if you don't want to post a message for every template addition (soi it'll become ;;, to ; without anything between)
notify=>I've leash this on frwiki even if we haven't set a warning message template, so it'll just create an empty user talk page if it not exist or will do nothing, I recommand you to leash it.

Feel free to take a look to other's wiki config, like for frwiki or enwiki, and make the best for you :)

Hi! Thank you for everything! You've helped me a great deal! However, I noticed a small irregularity when posting messages on IP talk pages: two messages are posted, one after another, with no break, and the bottom message has no signature (see https://hr.wikipedia.org/w/index.php?title=Razgovor_sa_suradnikom:82.132.16.47&oldid=4875731 ). I'd like there to be a break between them, and a signature after the next message also (see next edit). Also the order of the message strikes me as weird: in the first, the user is asked to stop vandalising, and in the second, he is encouraged to sign up and help out. Is there a way to perhaps omit a welcome-anon message {{NS-ip1}} if posting a warning template? Could you help me fix that? Many thanks.

There is, sadly, one other matter: User:MaGa asked me to relay a message: he does not take kindly to testing stuff inside User talk pages. I asked him to at least allow us to test inside User talk:IviBot (my former, now blocked, bot account) - ( https://hr.wikipedia.org/wiki/Razgovor_sa_suradnikom:IviBot ). I believe he'll agree to that :) Thank you so much!!!

I've started work on bs.wiki, but it will take a long time because I'm not quite familiar with their warning templates. Best regards!

Zoranzoki21 updated the task description. (Show Details)Apr 27 2017, 1:18 PM
Zoranzoki21 added a subscriber: Zoranzoki21.
Petrb added a comment.May 1 2017, 8:24 PM

Hello,

testing on production sites of anything is never welcome, you can run huggle in a dry mode if you need to test stuff (start huggle in debug mode, then help -> debug -> dry).

Otherwise, you can also use testwiki for this!

Petrb triaged this task as Medium priority.May 8 2017, 6:02 PM
Framawiki closed this task as Resolved.May 9 2017, 8:08 PM

I close this task, it's good on our side. Don't hesitate to ping us if yo have any questions !

Zoranzoki21 updated the task description. (Show Details)May 25 2017, 2:22 PM
Zoranzoki21 updated the task description. (Show Details)May 25 2017, 2:25 PM
Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJan 2 2019, 3:26 PM